<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>OutdoorLocation (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OutdoorLocation (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OutdoorLocation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/venues3d/Margin.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/venues3d/OutdoorRoute.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/venues3d/OutdoorLocation.html" target="_top">Frames</a></li>
<li><a href="OutdoorLocation.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.classes.inherited.from.class.com.here.android.mpa.venues3d.BaseLocation">Nested</a> | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.venues3d.BaseLocation">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#methods.inherited.from.class.com.here.android.mpa.venues3d.BaseLocation">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.venues3d</div>
<h2 title="Class OutdoorLocation" class="title">Class OutdoorLocation</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html" title="class in com.here.android.mpa.venues3d">com.here.android.mpa.venues3d.BaseLocation</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.venues3d.OutdoorLocation</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">OutdoorLocation</span>
extends <a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html" title="class in com.here.android.mpa.venues3d">BaseLocation</a></pre>
<div class="block">Represents an outdoor location used as either start- or endpoint in indoor routing.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/venues3d/SpaceLocation.html" title="class in com.here.android.mpa.venues3d"><code>SpaceLocation</code></a>, 
<a href="../../../../../com/here/android/mpa/venues3d/RoutingController.html" title="class in com.here.android.mpa.venues3d"><code>RoutingController</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.here.android.mpa.venues3d.BaseLocation">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class com.here.android.mpa.venues3d.<a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html" title="class in com.here.android.mpa.venues3d">BaseLocation</a></h3>
<code><a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.LocationType.html" title="enum in com.here.android.mpa.venues3d">BaseLocation.LocationType</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.here.android.mpa.venues3d.BaseLocation">
<!--   -->
</a>
<h3>Fields inherited from class com.here.android.mpa.venues3d.<a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html" title="class in com.here.android.mpa.venues3d">BaseLocation</a></h3>
<code><a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html#m_locationType">m_locationType</a>, <a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html#m_parkingLocation">m_parkingLocation</a>, <a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html#m_pimpl">m_pimpl</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/venues3d/OutdoorLocation.html#OutdoorLocation-com.here.android.mpa.common.GeoCoordinate-">OutdoorLocation</a></span>(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coordinate)</code>
<div class="block">Constructs an outdoor location object with a given geolocaton.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.venues3d.BaseLocation">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.venues3d.<a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html" title="class in com.here.android.mpa.venues3d">BaseLocation</a></h3>
<code><a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html#getArea--">getArea</a>, <a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html#getGeoCoordinate--">getGeoCoordinate</a>, <a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html#getType--">getType</a>, <a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html#isValid--">isValid</a>, <a href="../../../../../com/here/android/mpa/venues3d/BaseLocation.html#setParkingLocation-com.here.android.mpa.venues3d.BaseLocation-">setParkingLocation</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OutdoorLocation-com.here.android.mpa.common.GeoCoordinate-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OutdoorLocation</h4>
<pre>public OutdoorLocation(<a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> coordinate)</pre>
<div class="block">Constructs an outdoor location object with a given geolocaton.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>coordinate</code> - geolocation as a <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a>.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OutdoorLocation.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/venues3d/Margin.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/venues3d/OutdoorRoute.html" title="class in com.here.android.mpa.venues3d"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/venues3d/OutdoorLocation.html" target="_top">Frames</a></li>
<li><a href="OutdoorLocation.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li><a href="#nested.classes.inherited.from.class.com.here.android.mpa.venues3d.BaseLocation">Nested</a> | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.venues3d.BaseLocation">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#methods.inherited.from.class.com.here.android.mpa.venues3d.BaseLocation">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
